---
title: USBDevice.transferOut()
slug: Web/API/USBDevice/transferOut
tags:
  - API
  - Method
  - Reference
  - USB
  - USBDevice
  - WebUSB
  - WebUSB API
  - transferOut
---
<p>{{APIRef("WebUSB API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>transferOut()</code></strong> method of the {{domxref("USBDevice")}} interface returns a {{jsxref("promise")}} that resolves with a {{domxref("USBTransferOutResult")}} when bulk or interrupt data is sent to the USB device.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var promise = USBDevice.transferOut(<em>endpointNumber</em>, <em>data</em>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>endpointNumber</dt>
 <dd>The number of a device-specific endpoint (buffer).</dd>
 <dt>data</dt>
 <dd>A {{domxref("TypedArray")}} containing the data to send to the device.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("promise")}} that resolves with a {{domxref("USBTransferOutResult")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web USB','#dom-usbdevice-transferout','transferOut()')}}</td>
   <td>{{Spec2('Web USB')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.USBDevice.transferOut")}}</p>
